MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025174Community[OCCT] OCCT:Modeling Algorithmspublic2014-08-20 17:132014-11-12 09:52
Reporterdrazmyslovich 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025174: Provide ShapeCustom and BRepModifier with ProgressIndicator and ReShape features
DescriptionThe modifications done in ShapeCustom and BRepModifier classes can last for long time and be hard to track (for example, in the context of CanonicalRecognition module). Therefore it's nice to have an ability to track the progress and changes done by these algorithms.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0030947)
git (administrator)
2014-08-20 17:19

Branch CR25174 has been created by drazmyslovich.

SHA-1: 7f662467eaf903c7eb0ddcca900da77ec2bc79a3


This branch includes the following new commits:

       new 7f66246 0025174: Provide ShapeCustom and BRepModifier with ProgressIndicator and ReShape features


Detailed log of new commits:

commit 7f662467eaf903c7eb0ddcca900da77ec2bc79a3
Author: razmyslovich
Date: Wed Aug 20 15:17:53 2014 +0200

    0025174: Provide ShapeCustom and BRepModifier with ProgressIndicator and ReShape features
(0030948)
drazmyslovich (developer)
2014-08-20 17:20

The feature is implemented, please, review it
(0033987)
git (administrator)
2014-10-31 19:10

Branch CR25174_1 has been created by abv.

SHA-1: 8a319cd4395a546f232bebe47ab7e2d4b27063cf


Detailed log of new commits:

Author: razmyslovich
Date: Wed Aug 20 15:17:53 2014 +0200

    0025174: Provide ShapeCustom and BRepModifier with ProgressIndicator and ReShape features
(0033988)
abv (manager)
2014-10-31 19:13

Reviewed and rebased on master, please test. In addition to original fix, I have corrected several places of usage of catch(...) to use Standard_Failure
(0034039)
apv (tester)
2014-11-05 14:20

Dear BugMaster,

Branch CR25174_1 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 8a319cd4395a546f232bebe47ab7e2d4b27063cf

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 373256404 / 373152120
Total CPU difference: 47205.790000000066 / 48561.92000000008

Testing on Windows:
Total MEMORY difference: 273850592 / 274441904
Total CPU difference: 36319.8125 / 34083.171875

There are differences in images found by testdiff:
http://occt-tests/CR25174-1-master-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR25174-1-master-occt/Windows-32-VC10/diff-Windows-32-VC10.html [^]
Pay attention to v3d mesh B7.
(0034295)
git (administrator)
2014-11-12 09:52

Branch CR25174 has been deleted by inv.

SHA-1: 7f662467eaf903c7eb0ddcca900da77ec2bc79a3
(0034296)
git (administrator)
2014-11-12 09:52

Branch CR25174_1 has been deleted by inv.

SHA-1: 8a319cd4395a546f232bebe47ab7e2d4b27063cf

- Related Changesets
occt: master b350f6ee
Timestamp: 2014-08-20 13:17:53
Author: razmyslovich
Committer: bugmaster
Details ] Diff ]
0025174: Provide ShapeCustom and BRepModifier with ProgressIndicator and ReShape features

Conflicts:
    src/TNaming/TNaming_Name.cxx
mod - src/BOPTools/BOPTools_AlgoTools_1.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_OffsetWire.cxx Diff ] File ]
mod - src/BRepOffsetAPI/BRepOffsetAPI_MakeOffset.cxx Diff ] File ]
mod - src/BRepTools/BRepTools_Modifier.cdl Diff ] File ]
mod - src/BRepTools/BRepTools_Modifier.cxx Diff ] File ]
mod - src/DNaming/DNaming_ModelingCommands.cxx Diff ] File ]
mod - src/ShapeCustom/ShapeCustom.cdl Diff ] File ]
mod - src/ShapeCustom/ShapeCustom.cxx Diff ] File ]
mod - src/TNaming/TNaming_Name.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-08-20 17:13 drazmyslovich New Issue
2014-08-20 17:13 drazmyslovich Assigned To => ifv
2014-08-20 17:19 git Note Added: 0030947
2014-08-20 17:20 drazmyslovich Note Added: 0030948
2014-08-20 17:20 drazmyslovich Status new => resolved
2014-10-31 19:10 git Note Added: 0033987
2014-10-31 19:13 abv Note Added: 0033988
2014-10-31 19:13 abv Assigned To ifv => bugmaster
2014-10-31 19:13 abv Status resolved => reviewed
2014-10-31 19:26 apv Assigned To bugmaster => apv
2014-11-05 14:17 apv Test case number => Not needed
2014-11-05 14:20 apv Note Added: 0034039
2014-11-05 14:20 apv Assigned To apv => abv
2014-11-05 14:20 apv Status reviewed => assigned
2014-11-05 14:48 apv Assigned To abv => apv
2014-11-05 14:48 apv Status assigned => feedback
2014-11-05 14:49 apv Assigned To apv => bugmaster
2014-11-05 14:49 apv Status feedback => tested
2014-11-06 15:18 bugmaster Changeset attached => occt master b350f6ee
2014-11-06 15:18 bugmaster Status tested => verified
2014-11-06 15:18 bugmaster Resolution open => fixed
2014-11-11 12:42 user533 Fixed in Version => 6.8.0
2014-11-11 13:03 user533 Status verified => closed
2014-11-12 09:52 git Note Added: 0034295
2014-11-12 09:52 git Note Added: 0034296


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker